GDAL_PROXIMITY(1)

NAME
gdal_proximity - Produces a raster proximity map.

SYNOPSIS

    gdal_proximity [--help] [--help-general]
                      <srcfile> <dstfile> [-srcband <n>] [-dstband <n>]
                      [-of <format>] [-co <name>=<value>]...
                      [-ot Byte/UInt16/UInt32/Float32/etc]
                      [-values <n>,<n>,<n>] [-distunits {PIXEL|GEO}]
                      [-maxdist <n>] [-nodata <n>] [-use_input_nodata {YES|NO}]
                      [-fixed-buf-val <n>]

DESCRIPTION

gdal_proximity generates a raster proximity map indicating the distance from the center of each pixel to the center of the nearest pixel identified as a target pixel. Target pixels are those in the source raster for which the raster pixel value is in the set of target pixel values.

NOTE: gdal_proximity is a Python utility, and is only available if GDAL Python bindings are available.

--help
    Show this help message and exit

--help-general
    Gives a brief usage message for the generic GDAL commandline options and exit.

<srcfile>
    The source raster file used to identify target pixels.

<dstfile>
    The destination raster file to which the proximity map will be written. It may be a pre-existing file of the same size as srcfile. If it does not exist it will be created.

-srcband <n>
    Identifies the band in the source file to use (default is 1).

-dstband <n>
    Identifies the band in the destination file to use (default is 1).

-of <format>
    Select the output format. If not specified, the format is guessed from the extension. Use the short format name.

-co <NAME>=<VALUE>
    Many formats have one or more optional creation options that can be used to control particulars about the file created. For instance, the GeoTIFF driver supports creation options to control compression, and whether the file should be tiled.

    The creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --format command line option but the documentation for the format is the definitive source of information on driver creation options. See Raster drivers format specific documentation for legal creation options for each format.

-ot <type>
    Specify a data type supported by the driver, which may be one of the following: Byte, UInt16, Int16, UInt32, Int32, Float32 (default), or Float64.

-values <n>,<n>,<n>
    A list of target pixel values in the source image to be considered target pixels. If not specified, all non-zero pixels will be considered target pixels.

-distunits {PIXEL|GEO}
    Indicate whether distances generated should be in pixel or georeferenced coordinates (default PIXEL).

-maxdist <n>
    The maximum distance to be generated. The nodata value will be used for pixels beyond this distance. If a nodata value is not provided, the output band will be queried for its nodata value. If the output band does not have a nodata value, then the value 65535 will be used. Distance is interpreted in pixels unless -distunits GEO is specified.

-nodata <n>
    Specify a nodata value to use for the destination proximity raster.

-use_input_nodata {YES|NO}
    Indicate whether nodata pixels in the input raster should be nodata in the output raster (default NO).

-fixed-buf-val <n>
    Specify a value to be applied to all pixels that are within the -maxdist of target pixels (including the target pixels) instead of a distance value.

AUTHOR
Frank Warmerdam <warmerdam@pobox.com>

COPYRIGHT
1998-2025